%define name	noteedit
%define	major	1
%define libname	lib%{name}%{major}

Name:		%{name}
Version:	2.0.19
Release:	1mdk
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		Sound
URL:		http://tan.informatik.tu-chemnitz.de/~jan/%{name}/%{name}.html
Source:		http://tan.informatik.tu-chemnitz.de/cgi-bin/nph-sendbin.cgi/~jan/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.16.xpm.bz2
Source2:	%{name}.32.xpm.bz2
Source3:	%{name}.48.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		%{_prefix} 
BuildRequires:	libtse3_0-devel >= 0.2.5, libarts-devel >= 1.0.5
BuildRequires:	libalsa2-devel >= 0.9.0, gettext >= 0.11.5, flex >= 2.5.4a
BuildRequires:	bison >= 1.35, libpng3-devel >= 1.2.4

%description
Noteedit is a score editor based on the Midi library TSE3. It can read and
write Midi files and process events sent from an external Midi keyboard. The
configured Midi devices of the system can be used to playback the score. The
score can be saved as MusiXTeX file for printout.

%package -n %{libname}
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		System/Libraries
Provides:	lib%{name}

%description -n %{libname}
Libraries used by NoteEdit

%package -n %{libname}-devel
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel

%description -n %{libname}-devel
Development files for the libraries used by NoteEdit

%prep
%setup -q
chmod 644 AUTHORS ChangeLog COPYING INSTALL LICENSE.GPL README VERSION noteedit/examples/*

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export QTDIR=/usr/lib/qt3
export KDEDIR=/usr
./configure --with-qt-libs=/usr/lib/qt3/lib \
  --with-qt-include=/usr/lib/qt3/include \
  --libdir=%{_libdir} --disable-rpath \
  --prefix=%{_prefix}
make
#cd kguitar_excerpt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/%{name}/resources
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/it/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/sk/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/sv/LC_MESSAGES
#make
%makeinstall PREFIX=%{buildroot}/%{_prefix}

mv %{buildroot}/%{_datadir}/locolor %{buildroot}/%{_datadir}/apps/%{name}/icons
mv %{buildroot}/%{_datadir}/hicolor %{buildroot}/%{_datadir}/apps/%{name}/icons

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Noteedit" \
longtitle="Noteedit" \
command="/usr/bin/noteedit" \
icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%{find_lang} %{name}

%clean
#rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL LICENSE.GPL README VERSION noteedit/examples/*
%{_bindir}/noteedit
/usr/share/applnk/Utilities/noteedit.desktop
/usr/share/apps/noteedit/*
/usr/share/doc/HTML/*/noteedit/*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnoteedit.so.1
%{_libdir}/libnoteedit.so.1.0.0

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libnoteedit.so
%{_libdir}/libnoteedit.la

%changelog
* Fri Jan 31 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.19-1mdk
- thac->contrib
- 2.0.19
- cleanups
- Don't require lilypond (not in the distro atm, not strictly required)

* Thu Jan 21 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.18-1mdk
- new version

* Thu Jan 02 2002 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.17-1mdk
- Built for Mandrake 9.0
